condor_preen(1)

Name

condor_preenremove extraneous files from HTCondor directories

Synopsis
condor_preen[-mail] [-remove] [-verbose] [-debug]

Description

condor_preenexamines the directories belonging to HTCondor, and removes extraneous files and directories which may be left over from HTCondor processes which terminated abnormally either due to internal errors or a system crash. The directories checked are the LOG, EXECUTE, and SPOOLdirectories as defined in the HTCondor configuration files. condor_preenis intended to be run as user rootor user condorperiodically as a backup method to ensure reasonable file system cleanliness in the face of errors. This is done automatically by default by the condor_masterdaemon. It may also be explicitly invoked on an as needed basis.

When condor_preencleans the SPOOLdirectory, it always leaves behind the files specified in the configuration variables VALID_SPOOL_FILESand SYSTEM_VALID_SPOOL_FILES, as given by the configuration. For the LOGdirectory, the only files removed or reported are those listed within the configuration variable INVALID_LOG_FILESlist. The reason for this difference is that, in general, the files in the LOGdirectory ought to be left alone, with few exceptions. An example of exceptions are core files. As there are new log files introduced regularly, it is less effort to specify those that ought to be removed than those that are not to be removed.

Options

-mail

    Send mail to the user defined in the PREEN_ADMINconfiguration variable, instead of writing to the standard output.

-remove

    Remove the offending files and directories rather than reporting on them.

-verbose

    List all files found in the Condor directories, even those which are not considered extraneous.

-debug

    Print extra debugging information as the command executes.

Exit Status

condor_preenwill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.